local S = minetest.get_translator("hades_carpets")

-- More cloth
minetest.register_node("hades_carpets:cloth_blackgold", {
	description = S("Black Cloth with Gold"),
	paramtype2 = "facedir",
	is_ground_content = false,
	tiles = {"gluncarp_wool_blackgold.png"},
	groups = {snappy=2,choppy=2,oddly_breakable_by_hand=3,flammable=3,cloth=1},
	sounds = hades_sounds.node_sound_cloth_defaults(),
})
	
-- Crafting
minetest.register_craft({
	output = "hades_carpets:cloth_blackgold 4",
	recipe = {
		{"","hades_cloth:black",""},
		{"hades_cloth:black","hades_core:gold_ingot","hades_cloth:black"},
		{"","hades_cloth:black",""},
	},
})

minetest.register_alias("gluncarp:wool_blackgold", "hades_carpets:cloth_blackgold")
minetest.register_alias("gluncarp:cloth_blackgold", "hades_carpets:cloth_blackgold")

dofile(minetest.get_modpath("hades_carpets").."/machines.lua")
dofile(minetest.get_modpath("hades_carpets").."/carpets.lua")
